%define __python %{__python3}

Name:           cadence
Version:        0.8.1
Release:        %mkrel 1
Summary:        Set of tools useful for audio production
License:        GPLv2 
Group:          Sound
URL:            https://github.com/falkTX/Cadence
Source0:        https://github.com/falkTX/Cadence/archive/Cadence-ec2a8320832b076c0962ab65dd2f8163275cc013.tar.xz
Patch0:         cadence-0.8.1-mga-systrayRemoveAppIndicator.patch
Patch1:		cadence-desktop.patch
#---------------------------------------------
BuildRequires:%{_lib}qt4-devel 
BuildRequires: %{_lib}python3-devel
BuildRequires:  python3-qt4
BuildRequires:  qt4-common 
BuildRequires: python-qt4-devel
#---------------------------------------------
Requires:       jackit
Requires:       python3
Requires:       python3-sip
Requires:       python3-dbus
Requires:       python3-qt4
Requires:       qt4-common
Requires:       jack_capture

%description
Cadence is a set of tools useful for audio production.
It's being developed by falkTX, using Python3 and Qt4 
(and some C++ where needed).
This package contains the main Cadence application.

%files
%{_bindir}/cadence
%{_datadir}/cadence/src/cadence.py
%{_datadir}/cadence/src/ui_cadence.py
%{_datadir}/cadence/src/ui_cadence_*.py

%{_datadir}/applications/cadence.desktop
%{_datadir}/icons/hicolor/*/apps/cadence.*

%{_sysconfdir}/xdg/autostart/cadence-session-start.desktop
%{_sysconfdir}/X11/Xsession.d/70cadence-plugin-paths
%{_sysconfdir}/X11/Xsession.d/99cadence-session-start

#--------------------------------------------------------------------
%{_datadir}/cadence/src/shared.py
%{_datadir}/cadence/src/shared_cadence.py
%{_datadir}/cadence/src/shared_canvasjack.py
%{_datadir}/cadence/src/shared_settings.py
%{_datadir}/cadence/src/resources_rc.py
%{_datadir}/cadence/src/ui_settings_app.py

%{_datadir}/cadence/src/jacklib.py
%{_datadir}/cadence/src/jacklib_helpers.py
%{_datadir}/cadence/src/patchcanvas.py
%{_datadir}/cadence/src/patchcanvas_theme.py
%{_datadir}/cadence/src/systray.py

%{_datadir}/cadence/src/canvaspreviewframe.py
%{_datadir}/cadence/src/clickablelabel.py

#--------------------------------------------------------------------
%{_bindir}/cadence-*

%{_datadir}/cadence/src/cadence_aloop_daemon.py
%{_datadir}/cadence/src/cadence_session_start.py
%{_datadir}/cadence/src/jacksettings.py
%{_datadir}/cadence/src/logs.py
%{_datadir}/cadence/src/render.py

%{_datadir}/cadence/src/ui_logs.py
%{_datadir}/cadence/src/ui_render.py
%{_datadir}/cadence/src/ui_settings_jack.py

%{_datadir}/cadence/pulse2jack/

%{_bindir}/catarina
%{_datadir}/cadence/src/catarina.py
%{_datadir}/cadence/src/ui_catarina.py
%{_datadir}/cadence/src/ui_catarina_*.py

%{_datadir}/applications/catarina.desktop
%{_datadir}/icons/hicolor/*/apps/catarina.*

#--------------------------------------------------------------------
%{_bindir}/catia
%{_datadir}/cadence/src/catia.py
%{_datadir}/cadence/src/ui_catia.py

%{_datadir}/applications/catia.desktop
%{_datadir}/icons/hicolor/*/apps/catia.*

#--------------------------------------------------------------------
%{_bindir}/claudia
%{_bindir}/claudia-launcher
%{_datadir}/cadence/src/claudia.py
%{_datadir}/cadence/src/claudia_database.py
%{_datadir}/cadence/src/claudia_launcher.py
%{_datadir}/cadence/src/ui_claudia.py
%{_datadir}/cadence/src/ui_claudia_*.py

%{_datadir}/cadence/icons/
%{_datadir}/cadence/templates/

%{_datadir}/applications/claudia*.desktop
%{_datadir}/icons/hicolor/*/apps/claudia*
  
  
%prep 
%setup -q -a 0 -n Cadence-ec2a8320832b076c0962ab65dd2f8163275cc013
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/env python3|#!%{__python3}|'
rm -R data/unity/
%patch0 -p1
%patch1 -p1
 
 
%build
CFLAGS="%{optflags}" %make 
  
%install
rm -rf %buildroot
%makeinstall_std  -- PREFIX=/usr 

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioEditing" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop



%changelog
* Thu May 21 2015 gseaman <galen.seaman at comcast.net> 0.8.1-1gseaman2015
- import into pclos
